Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezarticle/xmlrpc/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 9700 2002-08-13 16:12:28Z gl $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 define( "EZARTICLE_NONEXISTING_ARTICLE", 1 );
28 define( "EZARTICLE_NONEXISTING_CATEGORY", 2 );
29 define( "EZARTICLE_NONEXISTING_PARENT", 3 );
30 define( "EZARTICLE_WRONG_CATEGORY_COUNT", 4 );
31 define( "EZARTICLE_WRONG_ARTICLE_COUNT", 5 );
32
33 switch ( $RequestType )
34 {
35 case "tag" :
36 {
37 switch( $Command )
38 {
39 case "list":
40 {
41 include( "ezarticle/xmlrpc/tag.php" );
42 break;
43 }
44 }
45 } break;
46 case "type" :
47 {
48 switch( $Command )
49 {
50 case "list":
51 {
52 include( "ezarticle/xmlrpc/typelist.php" );
53 break;
54 }
55 case "data":
56 case "storedata":
57 case "delete":
58 {
59 include( "ezarticle/xmlrpc/type.php" );
60 break;
61 }
62 }
63 } break;
64 case "topic" :
65 {
66 switch( $Command )
67 {
68 case "list":
69 {
70 include( "ezarticle/xmlrpc/topiclist.php" );
71 break;
72 }
73 case "data":
74 case "storedata":
75 {
76 include( "ezarticle/xmlrpc/topic.php" );
77 break;
78 }
79 }
80 } break;
81
82 case "category" :
83 {
84 switch( $Command )
85 {
86 case "search":
87 case "list":
88 case "tree":
89 {
90 include( "ezarticle/xmlrpc/categorylist.php" );
91 break;
92 }
93 case "data":
94 case "storedata":
95 case "delete":
96 case "permission":
97 case "info":
98 {
99 include( "ezarticle/xmlrpc/category.php" );
100 break;
101 }
102 default:
103 $Error = true;
104 }
105 } break;
106 case "article" :
107 {
108 switch( $Command )
109 {
110 case "search":
111 case "data":
112 case "storedata":
113 case "delete":
114 case "permission":
115 case "info":
116 case "weburl":
117 {
118 include( "ezarticle/xmlrpc/article.php" );
119 break;
120 }
121 default:
122 $Error = true;
123 }
124 } break;
125
126 default :
127 {
128 switch( $Command )
129 {
130 case "search":
131 {
132 include( "ezarticle/xmlrpc/search.php" );
133 break;
134 }
135 default:
136 $Error = true;
137 }
138 } break;
139 }
140
141 ?>
$Error
if(isset( $EditButton)) if(!empty( $CancelButton)) if(!empty( $PreviewButton)) if( $Action=="preview") switch( $Action) $Error
Definition: ezforum/user/messageedit.php:134
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.